//
// CREATE THE WINDOW TELLING PEOPLE TO GET A REAL CONNECTION
//
CreateControl("MultiSteeveeo", "STATIC")
{
	ColorGroup("BACKGROUND");
	Geom("PARENTWIDTH", "PARENTHEIGHT");
	Style("MODAL");

	CreateControl("Window", "STATIC")
	{
		Geom("HCENTRE", "VCENTRE");
		Pos(0, 5);
		Size(200, 100);
		Style("MODAL", "TABROOT", "OUTLINE");
		//Style("TABROOT", "OUTLINE");
		BorderSize(10);
		BevelSize(5);
		TabSize(100, 10);
		TitleFont("MEDIUM");
		Title("Choose List");

		//
		// create the text display
		//
		CreateControl("Text", "LISTBOX")
		{
			ColorGroup("BACKGROUND");
			Pos(0, 0);
			Size(200, 60);
			CellSize(195, 10);
			BorderSize(5);
			BevelSize(3);
			SliderPadding(5);
			Font("TINY");
			Style("INERT", "NOSELECTION", "VSLIDER");
			ItemConfig()
			{
				Style("TRANSPARENT");
			}
			FillFromFile("bzshell_multi_steev.txt");
		}

		//
		// create the ok button
		//
		CreateControl("Stock", "BUTTON")
		{
			ColorGroup("LISTBOX");
			Geom("LEFT", "BOTTOM");
			Pos(10, -10);
			Size(80, 10);
			BorderSize(5);
			BevelSize(3);
			Font("MEDIUM");
			Text("STOCK");
			Style("ROLLOVER", "OUTLINE");
			NotifyParent("Button::Press", "Stock");
		}

		// handle the ok event
		OnEvent("Stock")
		{
			Cmd("network.session.svar4 mpvehicles.txt");
			Cmd("network.session.svar6 stratstarting.txt");
			FadeOut("|MultiSteeveeo");
		}

		CreateControl("steev", "BUTTON")
		{
			ColorGroup("LISTBOX");
			Geom("RIGHT", "BOTTOM");
			Pos(-10, -10);
			Size(80, 10);
			BorderSize(5);
			BevelSize(3);
			Font("MEDIUM");
			Text("SRV MODE");
			Style("ROLLOVER", "OUTLINE");
			NotifyParent("Button::Press", "steev");
		}

		// handle the ok event
		OnEvent("steev")
		{
			Cmd("network.session.svar4 mpvehicles_srv.txt");
			Cmd("network.session.svar6 stratstarting_srv.txt");
			FadeOut("|MultiSteeveeo");
		}
	}
}
